io.agora.rtc

## Class MixerLayoutConfig

- java.lang.Object
- - io.agora.rtc.MixerLayoutConfig

-     public class MixerLayoutConfig
      extends java.lang.Object

  Configuration for mixer layout.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private float` | `alpha` Alpha value
    `private int` | `height` Height (px)
    `private java.lang.String` | `imagePath` Image path
    `private int` | `left` Left position (px)
    `private byte` | `mirror` Mirror mode
    `private int` | `top` Top position (px)
    `private int` | `width` Width (px)
    `private int` | `zOrder` Z-order

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MixerLayoutConfig()` Default constructor for MixerLayoutConfig.
    `MixerLayoutConfig(int top, int left, int width, int height, int zOrder, float alpha, byte mirror, java.lang.String imagePath)` Constructs MixerLayoutConfig with all parameters.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `float` | `getAlpha()` Gets the alpha value.
    `int` | `getHeight()` Gets the height (px).
    `java.lang.String` | `getImagePath()` Gets the image path.
    `int` | `getLeft()` Gets the left position (px).
    `byte` | `getMirror()` Gets the mirror mode.
    `int` | `getTop()` Gets the top position (px).
    `int` | `getWidth()` Gets the width (px).
    `int` | `getZOrder()` Gets the z-order.
    `void` | `setAlpha(float alpha)` Sets the alpha value.
    `void` | `setHeight(int height)` Sets the height (px).
    `void` | `setImagePath(java.lang.String imagePath)` Sets the image path.
    `void` | `setLeft(int left)` Sets the left position (px).
    `void` | `setMirror(byte mirror)` Sets the mirror mode.
    `void` | `setTop(int top)` Sets the top position (px).
    `void` | `setWidth(int width)` Sets the width (px).
    `void` | `setZOrder(int zOrder)` Sets the z-order.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### top

          private int top

      Top position (px)

    - #### left

          private int left

      Left position (px)

    - #### width

          private int width

      Width (px)

    - #### height

          private int height

      Height (px)

    - #### zOrder

          private int zOrder

      Z-order

    - #### alpha

          private float alpha

      Alpha value

    - #### mirror

          private byte mirror

      Mirror mode

    - #### imagePath

          private java.lang.String imagePath

      Image path

  - ### Constructor Detail

    - #### MixerLayoutConfig

          public MixerLayoutConfig()

      Default constructor for MixerLayoutConfig.

    - #### MixerLayoutConfig

          public MixerLayoutConfig(int top,
                                   int left,
                                   int width,
                                   int height,
                                   int zOrder,
                                   float alpha,
                                   byte mirror,
                                   java.lang.String imagePath)

      Constructs MixerLayoutConfig with all parameters.
      Parameters:
        `top` - Top position (px)
        `left` - Left position (px)
        `width` - Width (px)
        `height` - Height (px)
        `zOrder` - Z-order
        `alpha` - Alpha value
        `mirror` - Mirror mode
        `imagePath` - Image path

  - ### Method Detail

    - #### getTop

          public int getTop()

      Gets the top position (px).
      Returns:
        Top position (px)

    - #### setTop

          public void setTop(int top)

      Sets the top position (px).
      Parameters:
        `top` - Top position (px)

    - #### getLeft

          public int getLeft()

      Gets the left position (px).
      Returns:
        Left position (px)

    - #### setLeft

          public void setLeft(int left)

      Sets the left position (px).
      Parameters:
        `left` - Left position (px)

    - #### getWidth

          public int getWidth()

      Gets the width (px).
      Returns:
        Width (px)

    - #### setWidth

          public void setWidth(int width)

      Sets the width (px).
      Parameters:
        `width` - Width (px)

    - #### getHeight

          public int getHeight()

      Gets the height (px).
      Returns:
        Height (px)

    - #### setHeight

          public void setHeight(int height)

      Sets the height (px).
      Parameters:
        `height` - Height (px)

    - #### getZOrder

          public int getZOrder()

      Gets the z-order.
      Returns:
        Z-order

    - #### setZOrder

          public void setZOrder(int zOrder)

      Sets the z-order.
      Parameters:
        `zOrder` - Z-order

    - #### getAlpha

          public float getAlpha()

      Gets the alpha value.
      Returns:
        Alpha value

    - #### setAlpha

          public void setAlpha(float alpha)

      Sets the alpha value.
      Parameters:
        `alpha` - Alpha value

    - #### getMirror

          public byte getMirror()

      Gets the mirror mode.
      Returns:
        Mirror mode

    - #### setMirror

          public void setMirror(byte mirror)

      Sets the mirror mode.
      Parameters:
        `mirror` - Mirror mode

    - #### getImagePath

          public java.lang.String getImagePath()

      Gets the image path.
      Returns:
        Image path

    - #### setImagePath

          public void setImagePath(java.lang.String imagePath)

      Sets the image path.
      Parameters:
        `imagePath` - Image path